# Generated by Django 3.0.4 on 2020-03-12 07:44

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('onv', '0003_cundina_gerente'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Turnos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('update', models.DateTimeField(auto_now=True)),
                ('user_update', models.IntegerField(blank=True, null=True)),
                ('turnos', models.FloatField(default=0)),
                ('cundina', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='onv.Cundina')),
                ('gerente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='onv.Gerente')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Turnos',
            },
        ),
        migrations.CreateModel(
            name='Contribucion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('update', models.DateTimeField(auto_now=True)),
                ('user_update', models.IntegerField(blank=True, null=True)),
                ('aporte', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='onv.Aporte')),
                ('contribuyente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='onv.Contribuyente')),
                ('cundina', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='onv.Cundina')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Turnos',
            },
        ),
    ]
